
Redmine - Defect #4789

Cross  references from SCM to projects work, but are missing on projects to SCM with project

inheritance

2010-02-10 13:23 - Christopher Maximov

Status: Closed Start date: 2010-02-10

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

In normal case when the repository is imported all #number log messages are properly converted to the links to issues in redmine.

Also each issue shows all relates check-ins in the SCM. This works for a single project, BUT when there are subprojects with own

repositories it just does not work.

Example:

P1 - main project

SCM1 - repository for P1

P2 - subproject of project P1

SCM2 - repository for P2

Now, when repository SCM1 is connected all issue<=>revision relationship is kept nicely.

When SCM2 is connected and in log messages there are references to issues raised on P1 then the link is available only on SCM2

view to point to the issue in P1. But on this very issue from P1 there is no reference to SCM2 revision.

The only thing missing is the link in changesets_issues table. If this connection is manually added in the database then the whole

thing works beautyfully! The issue on P1 contains references to log entries from SCM1 and SCM2 and all links work correctly!

Can this missing changesets_issues connection be fixed???

I'm running Redmine 0.9.2.

History

#1 - 2010-02-10 13:46 - Felix Schäfer

I think It has already been fixed in r3357/r3380 and is the same request as #4674. Could you please check if that solves the problem for you?

#2 - 2010-02-10 13:49 - test test

test

#3 - 2010-02-10 16:53 - Christopher Maximov

I've just re-checked the issue with 0.9 branch r3393 and it does not work properly...

#4 - 2010-02-10 16:57 - Felix Schäfer

- Category changed from SCM to Issues

- Assignee set to Jean-Philippe Lang

Ok, I think JPLang will be more able to help with that.

#5 - 2010-02-10 21:46 - Jean-Philippe Lang

You're absolutely right Felix, a test exists for this use case:

source:/trunk/test/unit/changeset_test.rb@3357#L88

But it only works for new changesets that were loaded in your Redmine database after this change.

#6 - 2010-02-11 09:45 - Christopher Maximov

- Status changed from New to Resolved

- % Done changed from 0 to 100
https://www.redmine.org/issues/4674
https://www.redmine.org/projects/redmine/repository/svn/revisions/3393
https://www.redmine.org/projects/redmine/repository/svn/revisions/3357/entry/trunk/test/unit/changeset_test.rb#L88


I have rechecked the issue with plain redmine installation built with new database (loaded from defaults) and everything works just fine. Now i'm

investigating what i have done wrong in my own database.

Just a small explanation, I'm in the process of migration from custom issue tracking tool using MS Access into redmine, and now I know that I must

have done something wrong in the data translation process...  Once again I'm truly sorry for raising an issue which... just works. On the other hand, I

can confirm that the fixes done on (as Felix mentioned) work properly on 0.9 branch r3393.

Thank You.

#7 - 2010-02-21 18:13 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
